module Label where


clickBegin, clickEnd, chirpingMain, chirpingPause,
   growlingClickBegin, growlingClickEnd, pause :: String
clickBegin = "r0"
clickEnd = "r1"
chirpingMain = "ch"
chirpingPause = "cp"
growlingClickBegin = "g0"
growlingClickEnd = "g1"
pause = "p"

clickParts :: (String, String)
clickParts = (clickBegin, clickEnd)

growlingClickParts :: (String, String)
growlingClickParts = (growlingClickBegin, growlingClickEnd)


advertisement, rasping, chirping, ticking, growling,
   rumble, raspingRumble, chirpingRumble, growlingRumble,
   overlayedRumble :: String

advertisement = "advertisement"
rasping = "rasping"
chirping = "chirping"
ticking = "ticking"
growling = "growling"

rumble = "rumble"
raspingRumble = rasping ++ ' ' : rumble
chirpingRumble = chirping ++ ' ' : rumble
growlingRumble = growling ++ ' ' : rumble

overlayedRumble = "+rumble"
